const users = require('./users')
const collections = require('./collections')
const fragments = require('./fragments')

const { heTeamID, revTeamID, authorTeamID } = require('./teamIDs')
const { submittingAuthor } = require('./userData')

const { collection } = collections
const { fragment } = fragments
const { handlingEditor, reviewer, inactiveReviewer } = users
const teams = {
  heTeam: {
    teamType: {
      name: 'handlingEditor',
      permissions: 'handlingEditor',
    },
    group: 'handlingEditor',
    name: 'HandlingEditor',
    object: {
      type: 'collection',
      id: collection.id,
    },
    members: [handlingEditor.id],
    save: jest.fn(() => teams.heTeam),
    updateProperties: jest.fn(() => teams.heTeam),
    id: heTeamID,
  },
  revTeam: {
    teamType: {
      name: 'reviewer',
      permissions: 'reviewer',
    },
    group: 'reviewer',
    name: 'reviewer',
    object: {
      type: 'fragment',
      id: fragment.id,
    },
    members: [reviewer.id, inactiveReviewer.id],
    save: jest.fn(() => teams.revTeam),
    updateProperties: jest.fn(() => teams.revTeam),
    id: revTeamID,
  },
  authorTeam: {
    teamType: {
      name: 'author',
      permissions: 'author',
    },
    group: 'author',
    name: 'author',
    object: {
      type: 'fragment',
      id: fragment.id,
    },
    members: [submittingAuthor.id],
    save: jest.fn(() => teams.authorTeam),
    updateProperties: jest.fn(() => teams.authorTeam),
    id: authorTeamID,
  },
}
module.exports = teams
